POST api/DiscountCreate
The entry point for creating links to discount groups
Request Information
URI Parameters
None.
Body Parameters
DiscountCreateRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| AuthToken |
Your unique partner identification token |
globally unique identifier |
Required |
| Group |
The group you wish to add the link to |
Group |
Required |
| Link |
The link you wish to add |
Link |
Required |
Request Formats
application/json, text/json
Sample:
{
"authToken": "ec192498-db67-4376-be79-333d25ecb12b",
"group": {
"uid": "667897b0-76aa-44ca-a965-96f18cec9dd0"
},
"link": {
"name": "sample string 1",
"external_UID": "sample string 2",
"use_Time_Left": 1
}
}
application/xml, text/xml
Sample:
<DiscountCreateController.DiscountCreateRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/HuurayV3.Controllers">
<AuthToken>ec192498-db67-4376-be79-333d25ecb12b</AuthToken>
<Group>
<UID>667897b0-76aa-44ca-a965-96f18cec9dd0</UID>
</Group>
<Link>
<External_UID>sample string 2</External_UID>
<Name>sample string 1</Name>
<Use_Time_Left>1</Use_Time_Left>
</Link>
</DiscountCreateController.DiscountCreateRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Object containing the URI of the created link, along with information the partner and group
DiscountCreateResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| URI |
The URI to activate the newly created link |
URI | |
| AuthToken |
Your unique partner identification token |
globally unique identifier |
Required |
| Group |
The group you wish to add the link to |
Group |
Required |
| Link |
The link you wish to add |
Link |
Required |
Response Formats
application/json, text/json
Sample:
{
"uri": {
"scheme": "sample string 1",
"host": "sample string 2",
"path": "sample string 3",
"queryString": "sample string 4",
"fullPath": "sample string 5"
},
"authToken": "2adfd95f-cd32-4991-8831-96ba796fef4f",
"group": {
"uid": "faa91e39-8c8a-4be8-8794-28ce15c2594d"
},
"link": {
"name": "sample string 1",
"external_UID": "sample string 2",
"use_Time_Left": 1
}
}
application/xml, text/xml
Sample:
<DiscountCreateController.DiscountCreateResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/HuurayV3.Controllers">
<AuthToken>2adfd95f-cd32-4991-8831-96ba796fef4f</AuthToken>
<Group>
<UID>faa91e39-8c8a-4be8-8794-28ce15c2594d</UID>
</Group>
<Link>
<External_UID>sample string 2</External_UID>
<Name>sample string 1</Name>
<Use_Time_Left>1</Use_Time_Left>
</Link>
<URI>
<FullPath>sample string 5</FullPath>
<Host>sample string 2</Host>
<Path>sample string 3</Path>
<QueryString>sample string 4</QueryString>
<Scheme>sample string 1</Scheme>
</URI>
</DiscountCreateController.DiscountCreateResponse>